Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents
Enum PageFormat.SizeEnum

    java.lang.Object
      java.lang.Enum<PageFormat.SizeEnum>
          org.pdfclown.documents.PageFormat.SizeEnum

All Implemented Interfaces:
  Serializable, Comparable<PageFormat.SizeEnum>

Enclosing class:
  PageFormat

    public static enum PageFormat.SizeEnum

extends Enum<PageFormat.SizeEnum>

Paper size.

### Remarks

References:

- { 'A' digit+ }: [ISO 216] "A" series: Paper and boards, trimmed sizes.
- { 'B' digit+ }: [ISO 216] "B" series: Posters, wall charts and similar items.
- { 'C' digit+ }: [ISO 269] "C" series: Envelopes or folders suitable for A-size stationery.
- { 'Ansi' letter }: [ANSI/ASME Y14.1] ANSI series: US engineering drawing series.
- { 'Arch' letter }: Architectural series.
- { "Letter", "Legal", "Executive", "Statement", "Tabloid" }: Traditional north-american sizes.

Enum Constant Summary
`A0`
`A1`
`A10`
`A2`
`A3`
`A4`
`A5`
`A6`
`A7`
`A8`
`A9`
`AnsiA`
`AnsiB`
`AnsiC`
`AnsiD`
`AnsiE`
`ArchA`
`ArchB`
`ArchC`
`ArchD`
`ArchE`
`B0`
`B1`
`B10`
`B2`
`B3`
`B4`
`B5`
`B6`
`B7`
`B8`
`B9`
`C0`
`C1`
`C10`
`C2`
`C3`
`C4`
`C5`
`C6`
`C7`
`C8`
`C9`
`Executive`
`Legal`
`Letter`
`Statement`
`Tabloid`

Method Summary
`static PageFormat.SizeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PageFormat.SizeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### A0

    public static final PageFormat.SizeEnum A0

### A1

    public static final PageFormat.SizeEnum A1

### A2

    public static final PageFormat.SizeEnum A2

### A3

    public static final PageFormat.SizeEnum A3

### A4

    public static final PageFormat.SizeEnum A4

### A5

    public static final PageFormat.SizeEnum A5

### A6

    public static final PageFormat.SizeEnum A6

### A7

    public static final PageFormat.SizeEnum A7

### A8

    public static final PageFormat.SizeEnum A8

### A9

    public static final PageFormat.SizeEnum A9

### A10

    public static final PageFormat.SizeEnum A10

### B0

    public static final PageFormat.SizeEnum B0

### B1

    public static final PageFormat.SizeEnum B1

### B2

    public static final PageFormat.SizeEnum B2

### B3

    public static final PageFormat.SizeEnum B3

### B4

    public static final PageFormat.SizeEnum B4

### B5

    public static final PageFormat.SizeEnum B5

### B6

    public static final PageFormat.SizeEnum B6

### B7

    public static final PageFormat.SizeEnum B7

### B8

    public static final PageFormat.SizeEnum B8

### B9

    public static final PageFormat.SizeEnum B9

### B10

    public static final PageFormat.SizeEnum B10

### C0

    public static final PageFormat.SizeEnum C0

### C1

    public static final PageFormat.SizeEnum C1

### C2

    public static final PageFormat.SizeEnum C2

### C3

    public static final PageFormat.SizeEnum C3

### C4

    public static final PageFormat.SizeEnum C4

### C5

    public static final PageFormat.SizeEnum C5

### C6

    public static final PageFormat.SizeEnum C6

### C7

    public static final PageFormat.SizeEnum C7

### C8

    public static final PageFormat.SizeEnum C8

### C9

    public static final PageFormat.SizeEnum C9

### C10

    public static final PageFormat.SizeEnum C10

### Letter

    public static final PageFormat.SizeEnum Letter

### Legal

    public static final PageFormat.SizeEnum Legal

### Executive

    public static final PageFormat.SizeEnum Executive

### Statement

    public static final PageFormat.SizeEnum Statement

### Tabloid

    public static final PageFormat.SizeEnum Tabloid

### ArchA

    public static final PageFormat.SizeEnum ArchA

### ArchB

    public static final PageFormat.SizeEnum ArchB

### ArchC

    public static final PageFormat.SizeEnum ArchC

### ArchD

    public static final PageFormat.SizeEnum ArchD

### ArchE

    public static final PageFormat.SizeEnum ArchE

### AnsiA

    public static final PageFormat.SizeEnum AnsiA

### AnsiB

    public static final PageFormat.SizeEnum AnsiB

### AnsiC

    public static final PageFormat.SizeEnum AnsiC

### AnsiD

    public static final PageFormat.SizeEnum AnsiD

### AnsiE

    public static final PageFormat.SizeEnum AnsiE

Method Detail

### values

    public static PageFormat.SizeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PageFormat.SizeEnum c : PageFormat.SizeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PageFormat.SizeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.